#pragma once

#include <filesystem>
#include <vector>
#include <opencv2/imgproc.hpp>

bool isImagePath(const std::filesystem::path& path);

void getImageFiles(const std::filesystem::path& path, std::vector<std::filesystem::path>& paths);

cv::Rect rectFromPoints(const std::vector<std::pair<cv::Point, int>>& points);

double pointDist(const cv::Point2i& pointA, const cv::Point2i& pointB);

bool pointInRect(const cv::Point2i& point, const cv::Rect& rect);
